%define debug_package %{nil}

Summary:	Computes a checksum based on context triggered piecewise hashes

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		ssdeep
Version:	2.14.1
Release:	1%{?dist}
URL:		http://ssdeep.sourceforge.net/

License:	GPL

Group:		Applications/Forensics Tools

Source:		%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/rpm-root-%{name}-%{version}
BuildRequires:	gcc-c++, libstdc++-devel
BuildRequires:  autoconf libtool

%description
Computes a checksum based on context triggered piecewise hashes for
each input file. If requested, the program matches those checksums
against a file of known checksums and reports any possible matches.
Output is written to standard out and errors to standard error.
Input from standard input is not supported.

%prep
%setup -n %{name}-%{version}
autoreconf -fiv
%configure --prefix=/usr --mandir=/usr/share/man --bindir=/usr/bin

%build
%{__make}

%install
%__install -d %{buildroot}%{_bindir}
%__install %{name} %{buildroot}%{_bindir}

%__install -d %{buildroot}%{_mandir}/man1
%__install %{name}.1 %{buildroot}%{_mandir}/man1
gzip %{buildroot}%{_mandir}/man1/%{name}.1

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(444, bin, bin, 0755)
%doc ChangeLog  COPYING  FILEFORMAT  INSTALL NEWS README TODO
%attr(555, bin, bin)	%{_bindir}/ssdeep
%attr(444, bin, bin)	%{_mandir}/man1/ssdeep.1.gz

%changelog
* Tue Nov  7 2017 Lawrence Rogers <lrr@cert.org> 2.14.1-1
* Release 2.14.1-1
	** Version 2.14.1 - 7 Nov 2017
	  * Bug Fixes
	    - Fixed a spelling error.
	    - Made relative path mode on Win32 to work.
	** Version 2.14 - 12 Sep 2017
	  * New Features
	    - Optimizations to the fuzzy hashing engine. (hash generator can run as twice
	      as fast and comparison can run 1.5 through 5 times faster [heavily depends
	      on the data and platform] than the previous release)
	  * Bug Fixes
	    - Fixed issue when certain memory allocation is failed.

* Fri Apr 24 2015 Lawrence Rogers <lrr@cert.org> 2.13-1
* Release 2.13-1
	2015-04-24: Jesse Kornblum <research@jessekornblum.com>:
		* ssdeep.1, NEWS: Updated release date

	2015-04-01: Tsukasa OI <floss_ssdeep@irq.a4lg.com>:
		* dig.cpp: Support arbitrary length input from the standard input.

	2014-11-07: Tsukasa OI <floss_ssdeep@irq.a4lg.com>:
		* edit_dist.c: Made code more portable
		* fuzzy.c: Multiple bug fixes

	2014-10-24: Jesse Kornblum <research@jessekornblum.com>:
		* Makefile.am: Adding edit_dist.h

	2014-10-20: Jesse Kornblum <research@jessekornblum.com>:
		* edit_dist.c: Replaced with new, explicitly GPL licensed code.
		* fuzzy.c: Removed edit distance function prototype
		* edit_dist.h: Added edit distance function prototype

* Fri Oct 24 2014 Lawrence Rogers <lrr@cert.org> 2.12-1
* Release 2.12-1
	2014-10-24: Jesse Kornblum <research@jessekornblum.com>:
		* Makefile.am: Adding edit_dist.h

	2014-10-20: Jesse Kornblum <research@jessekornblum.com>:
		* edit_dist.c: Replaced with new, explicitly GPL licensed code.
		* fuzzy.c: Removed edit distance function prototype
		* edit_dist.h: Added edit distance function prototype

	2014-10-16: Jesse Kornblum <research@jessekornblum.com>:
		* configure.ac: Version bump to 2.12
		* fuzzy.c: Fixed bug when comparing identical hashes, bug #16.
		* normal.sh: Use multiple cores when compiling

* Sat Sep 27 2014 Lawrence Rogers <lrr@cert.org> 2.11.1-1
* Release 2.11.1-1
	Fixed bug in signature computation.
	Made libfuzzy a shared library again.

* Thu Sep 11 2014 Lawrence Rogers <lrr@cert.org> 2.11-1
* Release 2.11-1
	* New Features
		- Added fuzzy_clone function to the API.
		- Moved to modern Win32 compiler.
	* Bug Fixes
		- Fixed edge case on signature generaion. Behavior now matches v2.9 again.

* Wed Jul 17 2013 Lawrence Rogers <lrr@cert.org> 2.10-1
* Release 2.10-1
	Changes:
	    * Fuzzy Hashing engine re-written to be thread safe.
	    * Able to handle long file paths on Win32.
	    * Fixed bug on comparing signatures with the same block size.
	    * Fixed crash on comparing short signatures.

* Mon Jul 23 2012 Lawrence Rogers <lrr@cert.org> 2.9-1
* Release 2.9-1
	Version 2.9 - 23 Jul 2012
	* New Features
		- Added warning message for when some data on stdin is not hashed.
		- Can now hash up to 512MB of data on stdin.
		- Added clustering mode to group together matching files
	* Bug Fixes
		- Fixed incorrect match scores for hashes with long filenames.

* Fri May 25 2012 Lawrence Rogers <lrr@cert.org> 2.8-1
* Release 2.8-1
	Version 2.8 - 25 May 2012
		* ChangeLog: Clean up
		* Commented out all references to clustering
		* configure.ac: Added AC_SYS_LARGEFILE to handle large files on 32-bit platforms. See bug 3416762.
		* engine.cpp: Added const definitions
		* Experimental conversion to C++
		* fuzzy.h: Cleanup and commenting
		* main.c: Bump copyright to 2012 in usage message. Add flag for clustering
		* main.c: Fixed error handling in getopt processing
		* main.cpp: Fixed some bugs in the command line argument processing
		* main.cpp: Updated command line argument processing
		* main.h: Added mode_cluster
		* Makefile.am: LF to CR/LF change now done by zip program
		* match.cpp: Convert to C++
		* match.cpp: Fixed bug in Win32 filename construction
		* ssdeep.1: Clarifications on description.
		* ssdeep.1: Updating support for stdin, clarifying modes
		* ssdeep.h: Adding Doxygen comments
		* ui.c: Changed Win32 to use fputc instead of _tfprintf for filenames

* Fri Sep 30 2011 Lawrence Rogers <lrr@cert.org> 2.7-1
* Release 2.7-1
	Version 2.7 - 30 Sep 2011
		* New Features
		  - Added the capability to process the first 100MB of data
		    from standard input.
		  - Added a warning message when the program does not process
		    any file large enough to produce a meaningful result.
		* Bug Fixes
		  - Standard errors are now sent to stderr, not stdout.
